Task.Counter (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.hadoop.mapred
Enum Task.Counter

    java.lang.Object
      java.lang.Enum<Task.Counter>
          org.apache.hadoop.mapred.Task.Counter

All Implemented Interfaces:
  Serializable, Comparable<Task.Counter>

Enclosing class:
  Task

    public static enum Task.Counter

extends Enum<Task.Counter>

Enum Constant Summary
`COMBINE_INPUT_RECORDS`
`COMBINE_OUTPUT_RECORDS`
`COMMITTED_HEAP_BYTES`
`CPU_MILLISECONDS`
`MAP_INPUT_BYTES`
`MAP_INPUT_RECORDS`
`MAP_OUTPUT_BYTES`
`MAP_OUTPUT_MATERIALIZED_BYTES`
`MAP_OUTPUT_RECORDS`
`MAP_SKIPPED_RECORDS`
`PHYSICAL_MEMORY_BYTES`
`REDUCE_INPUT_GROUPS`
`REDUCE_INPUT_RECORDS`
`REDUCE_OUTPUT_RECORDS`
`REDUCE_SHUFFLE_BYTES`
`REDUCE_SKIPPED_GROUPS`
`REDUCE_SKIPPED_RECORDS`
`SPILLED_RECORDS`
`SPLIT_RAW_BYTES`
`VIRTUAL_MEMORY_BYTES`

Method Summary
`static Task.Counter` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Task.Counter[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MAP_INPUT_RECORDS

    public static final Task.Counter MAP_INPUT_RECORDS

### MAP_OUTPUT_RECORDS

    public static final Task.Counter MAP_OUTPUT_RECORDS

### MAP_SKIPPED_RECORDS

    public static final Task.Counter MAP_SKIPPED_RECORDS

### MAP_INPUT_BYTES

    public static final Task.Counter MAP_INPUT_BYTES

### MAP_OUTPUT_BYTES

    public static final Task.Counter MAP_OUTPUT_BYTES

### MAP_OUTPUT_MATERIALIZED_BYTES

    public static final Task.Counter MAP_OUTPUT_MATERIALIZED_BYTES

### COMBINE_INPUT_RECORDS

    public static final Task.Counter COMBINE_INPUT_RECORDS

### COMBINE_OUTPUT_RECORDS

    public static final Task.Counter COMBINE_OUTPUT_RECORDS

### REDUCE_INPUT_GROUPS

    public static final Task.Counter REDUCE_INPUT_GROUPS

### REDUCE_SHUFFLE_BYTES

    public static final Task.Counter REDUCE_SHUFFLE_BYTES

### REDUCE_INPUT_RECORDS

    public static final Task.Counter REDUCE_INPUT_RECORDS

### REDUCE_OUTPUT_RECORDS

    public static final Task.Counter REDUCE_OUTPUT_RECORDS

### REDUCE_SKIPPED_GROUPS

    public static final Task.Counter REDUCE_SKIPPED_GROUPS

### REDUCE_SKIPPED_RECORDS

    public static final Task.Counter REDUCE_SKIPPED_RECORDS

### SPILLED_RECORDS

    public static final Task.Counter SPILLED_RECORDS

### SPLIT_RAW_BYTES

    public static final Task.Counter SPLIT_RAW_BYTES

### CPU_MILLISECONDS

    public static final Task.Counter CPU_MILLISECONDS

### PHYSICAL_MEMORY_BYTES

    public static final Task.Counter PHYSICAL_MEMORY_BYTES

### VIRTUAL_MEMORY_BYTES

    public static final Task.Counter VIRTUAL_MEMORY_BYTES

### COMMITTED_HEAP_BYTES

    public static final Task.Counter COMMITTED_HEAP_BYTES

Method Detail

### values

    public static Task.Counter[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Task.Counter c : Task.Counter.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Task.Counter valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 The Apache Software Foundation